> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roe-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Dataset

> Create a new dataset.

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url "https://api.roe-ai.com/v1/datasets/?organization_id=YOUR_ORG_ID" \
    --header "Authorization: Bearer YOUR_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
      "name": "My Dataset",
      "description": "Dataset description"
    }'
  ```
</RequestExample>


## OpenAPI

````yaml POST /v1/datasets/
openapi: 3.1.0
info:
  title: Roe AI API
  version: 1.0.0
  description: Complete API documentation for Roe AI platform
servers:
  - url: https://api.roe-ai.com
    description: Production API
security: []
paths:
  /v1/datasets/:
    post:
      tags:
        - v1
      summary: Create a new dataset.
      description: Create a new dataset.
      operationId: v1_datasets_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetCreateRequestRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dataset'
          description: Successfully created dataset.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Access forbidden if not on a plan.
components:
  schemas:
    DatasetCreateRequestRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          description: Name of the dataset.
        organization:
          type: string
          format: uuid
          description: ID of the organization to associate the dataset with.
      required:
        - name
    Dataset:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          maxLength: 1024
        creator:
          oneOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        organization:
          type: string
          format: uuid
      required:
        - created_at
        - creator
        - id
        - name
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
      required:
        - message
    UserInfo:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        email:
          type: string
          format: email
          title: Email address
          maxLength: 254
        first_name:
          type: string
          maxLength: 150
        last_name:
          type: string
          maxLength: 150
        display_name:
          type: string
          readOnly: true
      required:
        - display_name
        - email
        - id

````